﻿namespace UltraGridCellValueChanged
{
    using System;
    using System.Data;
    using System.Diagnostics;
    using System.Windows.Forms;

    public partial class Form1 : Form
    {
        public Form1()
        {
            this.InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.SetDataBinding(this.GetData(), "table1");
        }

        private DataSet GetData()
        {
            DataSet ds = new DataSet();
            DataTable t1 = ds.Tables.Add("table1");
            t1.Columns.Add("id", typeof(int)).AutoIncrement = true;
            t1.Columns.Add("Name", typeof(string));
            t1.Columns.Add("Quantity", typeof(int));
            t1.Columns.Add("Price", typeof(double));
            t1.Columns.Add("Available", typeof(bool));

            ds = this.AddData(ds);

            return ds;
        }

        private DataSet AddData(DataSet ds)
        {
            ds.Tables["table1"].Rows.Add(new object[] { null, "Beverage", 50, 10.2, true });
            ds.Tables["table1"].Rows.Add(new object[] { null, "Appliances", 5, 90, true });
            ds.Tables["table1"].Rows.Add(new object[] { null, "FastFood", 20, 32, false });
            ds.Tables["table1"].Rows.Add(new object[] { null, "Furniture", 12, 79, true });
            ds.Tables["table1"].Rows.Add(new object[] { null, "Meat", 40, 10.2, true });
            ds.Tables["table1"].Rows.Add(new object[] { null, "Fruits", 25, 12, false });
            ds.Tables["table1"].Rows.Add(new object[] { null, "Vegetables", 30, 13, false });
            ds.Tables["table1"].Rows.Add(new object[] { null, "Cars", 13, 200, true });
            ds.Tables["table1"].Rows.Add(new object[] { null, "Tools", 60, 15.3, true });
            ds.Tables["table1"].Rows.Add(new object[] { null, "Estate", 5, 3000, true });
            ds.Tables["table1"].Rows.Add(new object[] { null, "Motorcycles", 10, 320, false });
            ds.Tables["table1"].Rows.Add(new object[] { null, "Clothes", 40, 69, false });
            ds.Tables["table1"].Rows.Add(new object[] { null, "Shoes", 24, 40.6, false });
            ds.Tables["table1"].Rows.Add(new object[] { null, "Games", 53, 50, true });
            ds.Tables["table1"].Rows.Add(new object[] { null, "Books", 42, 22, true });
            ds.Tables["table1"].Rows.Add(new object[] { null, "Movies", 38, 19, true });

            return ds;
        }

        private void UltraGrid1_CellChange(object sender, Infragistics.Win.UltraWinGrid.CellEventArgs e)
        {
            if (e.Cell.Column.Header.Caption == "Available")
            {
                Debug.WriteLine(string.Format("Cell on row {0} has changed to {1}", e.Cell.Row.Index, e.Cell.Text));
            }
        }
    }
}
